Product Prices
Explore the VARIO Product Price API to manage sales and purchase prices, discounts, price rules, calculations, and product pricing data.
The Product Price API
ID des Preises
Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Netto-Preis
Brutto-Preis
Preisbasis
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt
Einkaufspreis zur Kalkulation
Typ von Werten
Wert des Aufschlags bei EK-Kalkulation
Bestimmt ab welcher Menge dieser Preis gültig ist
Gültig von
Gültig bis
Aktionpreis
falseOK
Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Netto-Preis
Brutto-Preis
Preisbasis
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt
Einkaufspreis zur Kalkulation
Typ von Werten
Wert des Aufschlags bei EK-Kalkulation
Bestimmt ab welcher Menge dieser Preis gültig ist
Gültig von
Gültig bis
Aktionpreis
falsePUT /erp/products/sales-prices/{priceId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 741
{
"version": "text",
"info": {},
"id": "text",
"netPrice": 1,
"grossPrice": 1,
"priceBase": "NET_PRICE",
"usedTaxRate": {
"version": "text",
"info": {},
"id": "text",
"typeRef": {
"id": "text",
"label": "text"
},
"countryCode": "text",
"rate": 19,
"validFrom": "2026-01-01"
},
"purchasePriceSource": "NONE",
"modifierValueType": "PERCENT",
"modifierValue": 1,
"accountRef": {
"id": "text"
},
"articleRef": {
"id": "text"
},
"accessoryMainArticleRef": {
"id": "text"
},
"productGroupRef": {
"id": "text"
},
"priceGroupRef": {
"id": "text"
},
"currencyRef": {
"id": 1,
"isoAlpha3": "text"
},
"fromQuantity": 1,
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"specialOfferPrice": false,
"salesChannelRef": {
"id": "text"
},
"customerGroupRef": {
"id": "text"
},
"supplierGroupRef": {
"id": "text"
},
"manufacturerRef": {
"id": "text"
}
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"netPrice": 1,
"grossPrice": 1,
"priceBase": "NET_PRICE",
"usedTaxRate": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"typeRef": {
"id": "text",
"label": "text",
"description": "text"
},
"active": true,
"countryCode": "text",
"rate": 19,
"validFrom": "2026-01-01"
},
"qualifier": "SALES",
"purchasePriceSource": "NONE",
"modifierValueType": "PERCENT",
"modifierValue": 1,
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accessoryMainArticleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"productGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"priceGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"currencyRef": {
"id": 1,
"isoAlpha3": "text",
"label": "text",
"symbol": "text"
},
"fromQuantity": 1,
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"specialOfferPrice": false,
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"customerGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"supplierGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"manufacturerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}ID des Preises
OK
message context
message
DELETE /erp/products/sales-prices/{priceId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"context": "text",
"messageValue": "text"
}ID des Rabatts
Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt
Bestimmt ab welcher Menge dieser Rabatt gültig ist
Name des Rabatts
Bestimmt die Art des Rabatts
Typ von Werten
Wert des Rabatts
Gültig von
Gültig bis
Aktionpreis
falseOK
Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt
Bestimmt ab welcher Menge dieser Rabatt gültig ist
Name des Rabatts
Bestimmt die Art des Rabatts
Typ von Werten
Wert des Rabatts
Gültig von
Gültig bis
Aktionpreis
falsePUT /erp/products/sales-discounts/{discountId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 558
{
"version": "text",
"info": {},
"id": "text",
"accountRef": {
"id": "text"
},
"articleRef": {
"id": "text"
},
"accessoryMainArticleRef": {
"id": "text"
},
"productGroupRef": {
"id": "text"
},
"priceGroupRef": {
"id": "text"
},
"fromQuantity": 1,
"modifierName": "text",
"modifierType": "DISCOUNT",
"modifierValueType": "PERCENT",
"currencyRef": {
"id": 1,
"isoAlpha3": "text"
},
"modifierValue": 1,
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"specialOfferPrice": false,
"salesChannelRef": {
"id": "text"
},
"customerGroupRef": {
"id": "text"
},
"supplierGroupRef": {
"id": "text"
},
"manufacturerRef": {
"id": "text"
}
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"qualifier": "SALES",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accessoryMainArticleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"productGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"priceGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"fromQuantity": 1,
"modifierName": "text",
"modifierType": "DISCOUNT",
"modifierValueType": "PERCENT",
"currencyRef": {
"id": 1,
"isoAlpha3": "text",
"label": "text",
"symbol": "text"
},
"modifierValue": 1,
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"specialOfferPrice": false,
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"customerGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"supplierGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"manufacturerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}ID des Preises
Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Netto-Preis
Brutto-Preis
Preisbasis
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt
Einkaufspreis zur Kalkulation
Typ von Werten
Wert des Aufschlags bei EK-Kalkulation
Bestimmt ab welcher Menge dieser Preis gültig ist
Gültig von
Gültig bis
Aktionpreis
falseOK
Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Netto-Preis
Brutto-Preis
Preisbasis
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt
Einkaufspreis zur Kalkulation
Typ von Werten
Wert des Aufschlags bei EK-Kalkulation
Bestimmt ab welcher Menge dieser Preis gültig ist
Gültig von
Gültig bis
Aktionpreis
falsePUT /erp/products/purchase-prices/{priceId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 741
{
"version": "text",
"info": {},
"id": "text",
"netPrice": 1,
"grossPrice": 1,
"priceBase": "NET_PRICE",
"usedTaxRate": {
"version": "text",
"info": {},
"id": "text",
"typeRef": {
"id": "text",
"label": "text"
},
"countryCode": "text",
"rate": 19,
"validFrom": "2026-01-01"
},
"purchasePriceSource": "NONE",
"modifierValueType": "PERCENT",
"modifierValue": 1,
"accountRef": {
"id": "text"
},
"articleRef": {
"id": "text"
},
"accessoryMainArticleRef": {
"id": "text"
},
"productGroupRef": {
"id": "text"
},
"priceGroupRef": {
"id": "text"
},
"currencyRef": {
"id": 1,
"isoAlpha3": "text"
},
"fromQuantity": 1,
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"specialOfferPrice": false,
"salesChannelRef": {
"id": "text"
},
"customerGroupRef": {
"id": "text"
},
"supplierGroupRef": {
"id": "text"
},
"manufacturerRef": {
"id": "text"
}
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"netPrice": 1,
"grossPrice": 1,
"priceBase": "NET_PRICE",
"usedTaxRate": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"typeRef": {
"id": "text",
"label": "text",
"description": "text"
},
"active": true,
"countryCode": "text",
"rate": 19,
"validFrom": "2026-01-01"
},
"qualifier": "SALES",
"purchasePriceSource": "NONE",
"modifierValueType": "PERCENT",
"modifierValue": 1,
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accessoryMainArticleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"productGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"priceGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"currencyRef": {
"id": 1,
"isoAlpha3": "text",
"label": "text",
"symbol": "text"
},
"fromQuantity": 1,
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"specialOfferPrice": false,
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"customerGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"supplierGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"manufacturerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}ID des Preises
OK
message context
message
DELETE /erp/products/purchase-prices/{priceId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"context": "text",
"messageValue": "text"
}ID des Rabatts
Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt
Bestimmt ab welcher Menge dieser Rabatt gültig ist
Name des Rabatts
Bestimmt die Art des Rabatts
Typ von Werten
Wert des Rabatts
Gültig von
Gültig bis
Aktionpreis
falseOK
Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt
Bestimmt ab welcher Menge dieser Rabatt gültig ist
Name des Rabatts
Bestimmt die Art des Rabatts
Typ von Werten
Wert des Rabatts
Gültig von
Gültig bis
Aktionpreis
falsePUT /erp/products/purchase-discounts/{discountId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 558
{
"version": "text",
"info": {},
"id": "text",
"accountRef": {
"id": "text"
},
"articleRef": {
"id": "text"
},
"accessoryMainArticleRef": {
"id": "text"
},
"productGroupRef": {
"id": "text"
},
"priceGroupRef": {
"id": "text"
},
"fromQuantity": 1,
"modifierName": "text",
"modifierType": "DISCOUNT",
"modifierValueType": "PERCENT",
"currencyRef": {
"id": 1,
"isoAlpha3": "text"
},
"modifierValue": 1,
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"specialOfferPrice": false,
"salesChannelRef": {
"id": "text"
},
"customerGroupRef": {
"id": "text"
},
"supplierGroupRef": {
"id": "text"
},
"manufacturerRef": {
"id": "text"
}
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"qualifier": "SALES",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accessoryMainArticleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"productGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"priceGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"fromQuantity": 1,
"modifierName": "text",
"modifierType": "DISCOUNT",
"modifierValueType": "PERCENT",
"currencyRef": {
"id": 1,
"isoAlpha3": "text",
"label": "text",
"symbol": "text"
},
"modifierValue": 1,
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"specialOfferPrice": false,
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"customerGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"supplierGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"manufacturerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Netto-Preis
Brutto-Preis
Preisbasis
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt
Einkaufspreis zur Kalkulation
Typ von Werten
Wert des Aufschlags bei EK-Kalkulation
Bestimmt ab welcher Menge dieser Preis gültig ist
Gültig von
Gültig bis
Aktionpreis
falseOK
Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Netto-Preis
Brutto-Preis
Preisbasis
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt
Einkaufspreis zur Kalkulation
Typ von Werten
Wert des Aufschlags bei EK-Kalkulation
Bestimmt ab welcher Menge dieser Preis gültig ist
Gültig von
Gültig bis
Aktionpreis
falsePOST /erp/products/sales-prices HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 741
{
"version": "text",
"info": {},
"id": "text",
"netPrice": 1,
"grossPrice": 1,
"priceBase": "NET_PRICE",
"usedTaxRate": {
"version": "text",
"info": {},
"id": "text",
"typeRef": {
"id": "text",
"label": "text"
},
"countryCode": "text",
"rate": 19,
"validFrom": "2026-01-01"
},
"purchasePriceSource": "NONE",
"modifierValueType": "PERCENT",
"modifierValue": 1,
"accountRef": {
"id": "text"
},
"articleRef": {
"id": "text"
},
"accessoryMainArticleRef": {
"id": "text"
},
"productGroupRef": {
"id": "text"
},
"priceGroupRef": {
"id": "text"
},
"currencyRef": {
"id": 1,
"isoAlpha3": "text"
},
"fromQuantity": 1,
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"specialOfferPrice": false,
"salesChannelRef": {
"id": "text"
},
"customerGroupRef": {
"id": "text"
},
"supplierGroupRef": {
"id": "text"
},
"manufacturerRef": {
"id": "text"
}
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"netPrice": 1,
"grossPrice": 1,
"priceBase": "NET_PRICE",
"usedTaxRate": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"typeRef": {
"id": "text",
"label": "text",
"description": "text"
},
"active": true,
"countryCode": "text",
"rate": 19,
"validFrom": "2026-01-01"
},
"qualifier": "SALES",
"purchasePriceSource": "NONE",
"modifierValueType": "PERCENT",
"modifierValue": 1,
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accessoryMainArticleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"productGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"priceGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"currencyRef": {
"id": 1,
"isoAlpha3": "text",
"label": "text",
"symbol": "text"
},
"fromQuantity": 1,
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"specialOfferPrice": false,
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"customerGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"supplierGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"manufacturerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt
Bestimmt ab welcher Menge dieser Rabatt gültig ist
Name des Rabatts
Bestimmt die Art des Rabatts
Typ von Werten
Wert des Rabatts
Gültig von
Gültig bis
Aktionpreis
falseOK
Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt
Bestimmt ab welcher Menge dieser Rabatt gültig ist
Name des Rabatts
Bestimmt die Art des Rabatts
Typ von Werten
Wert des Rabatts
Gültig von
Gültig bis
Aktionpreis
falsePOST /erp/products/sales-discounts HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 558
{
"version": "text",
"info": {},
"id": "text",
"accountRef": {
"id": "text"
},
"articleRef": {
"id": "text"
},
"accessoryMainArticleRef": {
"id": "text"
},
"productGroupRef": {
"id": "text"
},
"priceGroupRef": {
"id": "text"
},
"fromQuantity": 1,
"modifierName": "text",
"modifierType": "DISCOUNT",
"modifierValueType": "PERCENT",
"currencyRef": {
"id": 1,
"isoAlpha3": "text"
},
"modifierValue": 1,
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"specialOfferPrice": false,
"salesChannelRef": {
"id": "text"
},
"customerGroupRef": {
"id": "text"
},
"supplierGroupRef": {
"id": "text"
},
"manufacturerRef": {
"id": "text"
}
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"qualifier": "SALES",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accessoryMainArticleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"productGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"priceGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"fromQuantity": 1,
"modifierName": "text",
"modifierType": "DISCOUNT",
"modifierValueType": "PERCENT",
"currencyRef": {
"id": 1,
"isoAlpha3": "text",
"label": "text",
"symbol": "text"
},
"modifierValue": 1,
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"specialOfferPrice": false,
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"customerGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"supplierGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"manufacturerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}Request zur Durchführung der Neuberechnung von Verkaufspreisen bzgl. des EK
IDs von Artikeln, deren Preise berechnet werden sollen
OK
No content
POST /erp/products/recalculate-sales-prices-depending-on-purchase-price HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 222
{
"articleIdsForRecalculation": [
1
],
"articleQueryPredicate": {
"type": "JUNCTION",
"operator": "AND",
"children": [],
"property": "text",
"values": [
"text"
],
"visible": true,
"functions": [
"text"
]
},
"variables": {
"variableSubstitutions": []
}
}OK
No content
Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Netto-Preis
Brutto-Preis
Preisbasis
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt
Einkaufspreis zur Kalkulation
Typ von Werten
Wert des Aufschlags bei EK-Kalkulation
Bestimmt ab welcher Menge dieser Preis gültig ist
Gültig von
Gültig bis
Aktionpreis
falseOK
Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Netto-Preis
Brutto-Preis
Preisbasis
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt
Einkaufspreis zur Kalkulation
Typ von Werten
Wert des Aufschlags bei EK-Kalkulation
Bestimmt ab welcher Menge dieser Preis gültig ist
Gültig von
Gültig bis
Aktionpreis
falsePOST /erp/products/purchase-prices HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 741
{
"version": "text",
"info": {},
"id": "text",
"netPrice": 1,
"grossPrice": 1,
"priceBase": "NET_PRICE",
"usedTaxRate": {
"version": "text",
"info": {},
"id": "text",
"typeRef": {
"id": "text",
"label": "text"
},
"countryCode": "text",
"rate": 19,
"validFrom": "2026-01-01"
},
"purchasePriceSource": "NONE",
"modifierValueType": "PERCENT",
"modifierValue": 1,
"accountRef": {
"id": "text"
},
"articleRef": {
"id": "text"
},
"accessoryMainArticleRef": {
"id": "text"
},
"productGroupRef": {
"id": "text"
},
"priceGroupRef": {
"id": "text"
},
"currencyRef": {
"id": 1,
"isoAlpha3": "text"
},
"fromQuantity": 1,
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"specialOfferPrice": false,
"salesChannelRef": {
"id": "text"
},
"customerGroupRef": {
"id": "text"
},
"supplierGroupRef": {
"id": "text"
},
"manufacturerRef": {
"id": "text"
}
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"netPrice": 1,
"grossPrice": 1,
"priceBase": "NET_PRICE",
"usedTaxRate": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"typeRef": {
"id": "text",
"label": "text",
"description": "text"
},
"active": true,
"countryCode": "text",
"rate": 19,
"validFrom": "2026-01-01"
},
"qualifier": "SALES",
"purchasePriceSource": "NONE",
"modifierValueType": "PERCENT",
"modifierValue": 1,
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accessoryMainArticleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"productGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"priceGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"currencyRef": {
"id": 1,
"isoAlpha3": "text",
"label": "text",
"symbol": "text"
},
"fromQuantity": 1,
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"specialOfferPrice": false,
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"customerGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"supplierGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"manufacturerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt
Bestimmt ab welcher Menge dieser Rabatt gültig ist
Name des Rabatts
Bestimmt die Art des Rabatts
Typ von Werten
Wert des Rabatts
Gültig von
Gültig bis
Aktionpreis
falseOK
Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt
Bestimmt ab welcher Menge dieser Rabatt gültig ist
Name des Rabatts
Bestimmt die Art des Rabatts
Typ von Werten
Wert des Rabatts
Gültig von
Gültig bis
Aktionpreis
falsePOST /erp/products/purchase-discounts HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 558
{
"version": "text",
"info": {},
"id": "text",
"accountRef": {
"id": "text"
},
"articleRef": {
"id": "text"
},
"accessoryMainArticleRef": {
"id": "text"
},
"productGroupRef": {
"id": "text"
},
"priceGroupRef": {
"id": "text"
},
"fromQuantity": 1,
"modifierName": "text",
"modifierType": "DISCOUNT",
"modifierValueType": "PERCENT",
"currencyRef": {
"id": 1,
"isoAlpha3": "text"
},
"modifierValue": 1,
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"specialOfferPrice": false,
"salesChannelRef": {
"id": "text"
},
"customerGroupRef": {
"id": "text"
},
"supplierGroupRef": {
"id": "text"
},
"manufacturerRef": {
"id": "text"
}
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"qualifier": "SALES",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accessoryMainArticleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"productGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"priceGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"fromQuantity": 1,
"modifierName": "text",
"modifierType": "DISCOUNT",
"modifierValueType": "PERCENT",
"currencyRef": {
"id": 1,
"isoAlpha3": "text",
"label": "text",
"symbol": "text"
},
"modifierValue": 1,
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"specialOfferPrice": false,
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"customerGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"supplierGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"manufacturerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}ID des Artikels
ID eines Accounts zum Filtern der Preise
OK
Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Netto-Preis
Brutto-Preis
Preisbasis
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt
Einkaufspreis zur Kalkulation
Typ von Werten
Wert des Aufschlags bei EK-Kalkulation
Bestimmt ab welcher Menge dieser Preis gültig ist
Gültig von
Gültig bis
Aktionpreis
falseGET /erp/products/sales-prices/{articleId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
[]ID des Artikels
ID des Verkaufskanals
OK
Preishistorie
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Vorheriger Preis
Neuer Preis
Preisbasis
GET /erp/products/sales-prices/{articleId}/history/{salesChannelId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
[]ID eines Accounts
OK
Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt
Bestimmt ab welcher Menge dieser Rabatt gültig ist
Name des Rabatts
Bestimmt die Art des Rabatts
Typ von Werten
Wert des Rabatts
Gültig von
Gültig bis
Aktionpreis
falseGET /erp/products/sales-price-rules-to-account/{accountId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
[]Ein Produkt
Ein Hauptprodukt eines Zubehörs
Ein Account
Eine Warengruppe
Eine Preisgruppe
Ein Hersteller
Ein Datum
Eine Menge
Soll ein Aktionspreis beachtet werden?
Ein Verkaufskanal
Eine Kundengruppe
Eine Lieferantengruppe
OK
Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Netto-Preis
Brutto-Preis
Preisbasis
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt
Einkaufspreis zur Kalkulation
Typ von Werten
Wert des Aufschlags bei EK-Kalkulation
Bestimmt ab welcher Menge dieser Preis gültig ist
Gültig von
Gültig bis
Aktionpreis
falseGET /erp/products/sales-price-by-selection HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"netPrice": 1,
"grossPrice": 1,
"priceBase": "NET_PRICE",
"usedTaxRate": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"typeRef": {
"id": "text",
"label": "text",
"description": "text"
},
"active": true,
"countryCode": "text",
"rate": 19,
"validFrom": "2026-01-01"
},
"qualifier": "SALES",
"purchasePriceSource": "NONE",
"modifierValueType": "PERCENT",
"modifierValue": 1,
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accessoryMainArticleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"productGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"priceGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"currencyRef": {
"id": 1,
"isoAlpha3": "text",
"label": "text",
"symbol": "text"
},
"fromQuantity": 1,
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"specialOfferPrice": false,
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"customerGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"supplierGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"manufacturerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}ID des Produkts
ID eines Accounts zum Filtern der Preisregeln
OK
Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt
Bestimmt ab welcher Menge dieser Rabatt gültig ist
Name des Rabatts
Bestimmt die Art des Rabatts
Typ von Werten
Wert des Rabatts
Gültig von
Gültig bis
Aktionpreis
falseGET /erp/products/sales-discounts/{articleId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
[]ID des Produkts
ID eines Accounts zum Filtern der Preise
OK
Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Netto-Preis
Brutto-Preis
Preisbasis
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt
Einkaufspreis zur Kalkulation
Typ von Werten
Wert des Aufschlags bei EK-Kalkulation
Bestimmt ab welcher Menge dieser Preis gültig ist
Gültig von
Gültig bis
Aktionpreis
falseGET /erp/products/purchase-prices/{articleId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
[]ID des Artikels
OK
Preisstatistiken (DEK und letzter EK)
Durchschnitts-Einkaufspreis
Wertstellungsdatum Durchschnitts-Einkaufspreis
Preiseinheit Durchschnitts-Einkaufspreis
letzter Einkaufspreis
Preiseinheit letzter Einkaufspreis
Erfassungszeitpunkt letzter Einkaufspreis
Wertstellungsdatum letzter Einkaufspreis
GET /erp/products/purchase-prices/{articleId}/statistic HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"averagePrice": 1,
"averagePriceBookedAt": "2026-01-01",
"priceUnitAveragePrice": 1,
"lastPrice": 1,
"priceUnitLastPrice": 1,
"lastPriceUpdatedAt": "2026-01-01T00:00:00.000Z",
"lastPriceBookedAt": "2026-01-01",
"mainSupplierAccount": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"mainSupplierProductPrice": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"netPrice": 1,
"grossPrice": 1,
"priceBase": "NET_PRICE",
"usedTaxRate": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"typeRef": {
"id": "text",
"label": "text",
"description": "text"
},
"active": true,
"countryCode": "text",
"rate": 19,
"validFrom": "2026-01-01"
},
"qualifier": "SALES",
"purchasePriceSource": "NONE",
"modifierValueType": "PERCENT",
"modifierValue": 1,
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accessoryMainArticleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"productGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"priceGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"currencyRef": {
"id": 1,
"isoAlpha3": "text",
"label": "text",
"symbol": "text"
},
"fromQuantity": 1,
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"specialOfferPrice": false,
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"customerGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"supplierGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"manufacturerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}
}ID eines Accounts
OK
Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt
Bestimmt ab welcher Menge dieser Rabatt gültig ist
Name des Rabatts
Bestimmt die Art des Rabatts
Typ von Werten
Wert des Rabatts
Gültig von
Gültig bis
Aktionpreis
falseGET /erp/products/purchase-price-rules-to-account/{accountId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
[]Ein Produkt
Ein Hauptprodukt eines Zubehörs
Ein Account
Eine Warengruppe
Eine Preisgruppe
Ein Hersteller
Ein Datum
Eine Menge
Soll ein Aktionspreis beachtet werden?
Ein Verkaufskanal
Eine Kundengruppe
Eine Lieferantengruppe
OK
Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Netto-Preis
Brutto-Preis
Preisbasis
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt
Einkaufspreis zur Kalkulation
Typ von Werten
Wert des Aufschlags bei EK-Kalkulation
Bestimmt ab welcher Menge dieser Preis gültig ist
Gültig von
Gültig bis
Aktionpreis
falseGET /erp/products/purchase-price-by-selection HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"netPrice": 1,
"grossPrice": 1,
"priceBase": "NET_PRICE",
"usedTaxRate": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"typeRef": {
"id": "text",
"label": "text",
"description": "text"
},
"active": true,
"countryCode": "text",
"rate": 19,
"validFrom": "2026-01-01"
},
"qualifier": "SALES",
"purchasePriceSource": "NONE",
"modifierValueType": "PERCENT",
"modifierValue": 1,
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accessoryMainArticleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"productGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"priceGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"currencyRef": {
"id": 1,
"isoAlpha3": "text",
"label": "text",
"symbol": "text"
},
"fromQuantity": 1,
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"specialOfferPrice": false,
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"customerGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"supplierGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"manufacturerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}ID des Artikels
ID eines Accounts zum Filtern der Preisregeln
OK
Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt
Bestimmt ab welcher Menge dieser Rabatt gültig ist
Name des Rabatts
Bestimmt die Art des Rabatts
Typ von Werten
Wert des Rabatts
Gültig von
Gültig bis
Aktionpreis
falseGET /erp/products/purchase-discounts/{articleId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
[]ID des Preises
OK
Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Netto-Preis
Brutto-Preis
Preisbasis
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt
Einkaufspreis zur Kalkulation
Typ von Werten
Wert des Aufschlags bei EK-Kalkulation
Bestimmt ab welcher Menge dieser Preis gültig ist
Gültig von
Gültig bis
Aktionpreis
falseGET /erp/products/prices/{priceId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"netPrice": 1,
"grossPrice": 1,
"priceBase": "NET_PRICE",
"usedTaxRate": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"typeRef": {
"id": "text",
"label": "text",
"description": "text"
},
"active": true,
"countryCode": "text",
"rate": 19,
"validFrom": "2026-01-01"
},
"qualifier": "SALES",
"purchasePriceSource": "NONE",
"modifierValueType": "PERCENT",
"modifierValue": 1,
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accessoryMainArticleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"productGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"priceGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"currencyRef": {
"id": 1,
"isoAlpha3": "text",
"label": "text",
"symbol": "text"
},
"fromQuantity": 1,
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"specialOfferPrice": false,
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"customerGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"supplierGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"manufacturerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}ID des Rabatts
OK
Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt
Bestimmt ab welcher Menge dieser Rabatt gültig ist
Name des Rabatts
Bestimmt die Art des Rabatts
Typ von Werten
Wert des Rabatts
Gültig von
Gültig bis
Aktionpreis
falseGET /erp/products/discounts/{discountId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"qualifier": "SALES",
"accountRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"articleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"accessoryMainArticleRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"productGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"priceGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"fromQuantity": 1,
"modifierName": "text",
"modifierType": "DISCOUNT",
"modifierValueType": "PERCENT",
"currencyRef": {
"id": 1,
"isoAlpha3": "text",
"label": "text",
"symbol": "text"
},
"modifierValue": 1,
"validFrom": "2026-01-01",
"validUntil": "2026-01-01",
"specialOfferPrice": false,
"salesChannelRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"customerGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"supplierGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"manufacturerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
}
}OK
GET /erp/products/calculate-net-price?grossPrice=1&taxSchemaId=1 HTTP/1.1
Host: api.example.com
Accept: */*
OK
1OK
GET /erp/products/calculate-gross-price?netPrice=1&taxSchemaId=1 HTTP/1.1
Host: api.example.com
Accept: */*
OK
1Last updated
Was this helpful?